# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
"""
This file contains the exact signatures for all functions in module
PySide6.QtXml, except for defaults which are replaced by "...".
"""

# mypy: disable-error-code="override, overload-overlap"
# Module `PySide6.QtXml`

import PySide6.QtXml

import enum
from shiboken6 import Shiboken


class QDomAttr(PySide6.QtXml.QDomNode): ...


class QDomCDATASection(PySide6.QtXml.QDomText): ...


class QDomCharacterData(PySide6.QtXml.QDomNode): ...


class QDomComment(PySide6.QtXml.QDomCharacterData): ...


class QDomDocument(PySide6.QtXml.QDomNode):

    class ParseOption(enum.Flag):

        Default                   = 0x0
        UseNamespaceProcessing    = 0x1
        PreserveSpacingOnlyNodes  = 0x2

    class ParseResult(Shiboken.Object): ...


class QDomDocumentFragment(PySide6.QtXml.QDomNode): ...


class QDomDocumentType(PySide6.QtXml.QDomNode): ...


class QDomElement(PySide6.QtXml.QDomNode): ...


class QDomEntity(PySide6.QtXml.QDomNode): ...


class QDomEntityReference(PySide6.QtXml.QDomNode): ...


class QDomImplementation(Shiboken.Object):

    class InvalidDataPolicy(enum.Enum):

        AcceptInvalidChars        = 0x0
        DropInvalidChars          = 0x1
        ReturnNullNode            = 0x2


class QDomNamedNodeMap(Shiboken.Object): ...


class QDomNode(Shiboken.Object):

    class EncodingPolicy(enum.Enum):

        EncodingFromDocument      = 0x1
        EncodingFromTextStream    = 0x2

    class NodeType(enum.Enum):

        ElementNode               = 0x1
        AttributeNode             = 0x2
        TextNode                  = 0x3
        CDATASectionNode          = 0x4
        EntityReferenceNode       = 0x5
        EntityNode                = 0x6
        ProcessingInstructionNode = 0x7
        CommentNode               = 0x8
        DocumentNode              = 0x9
        DocumentTypeNode          = 0xa
        DocumentFragmentNode      = 0xb
        NotationNode              = 0xc
        BaseNode                  = 0x15
        CharacterDataNode         = 0x16


class QDomNodeList(Shiboken.Object): ...


class QDomNotation(PySide6.QtXml.QDomNode): ...


class QDomProcessingInstruction(PySide6.QtXml.QDomNode): ...


class QDomText(PySide6.QtXml.QDomCharacterData): ...


class QIntList: ...


# eof
